Subject: Offline Message from Yousef Almuasher: I have one order (100115427) it’s tak
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 21 Jun 2020 08:38:17 -0000

From: Yousef Almuasher <[email-masked]>
Phone: 
Location: Khobar, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/N0w5amFwWGw5NXBkN1dwa0tqRzBtUT09/
Department: 

I have one order (100115427) it’s taken more than 4 month and still not received. I complain to many times but no response. Also I ask to cancel the order and return the money last 3 weeks in chat here and your employee promised me to return my money within 10 days but nothing happened I send other email as reminder  also no response. I am waiting you to solve this problem please. Otherwise, I am going to complain to the responsible official authorities. Is

----
Zopim
https://www.zopim.com